Lookups
Qualifications
GET
/
qualifications
Qualifications
curl --request GET \
--url https://demand.researchdesk.com/qualifications \
--header 'Authorization: <api-key>'import requests
url = "https://demand.researchdesk.com/qualifications"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://demand.researchdesk.com/qualifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_qualifications": 267,
"page": 1,
"page_size": 4,
"qualifications": [
{
"id": 1,
"name": "Age",
"category": "Demographics",
"type": "Numeric - Open End",
"question_text": "What is your age?",
"question_options": null
},
{
"id": 2,
"name": "Gender",
"category": "Demographics",
"type": "Single Punch",
"question_text": "What is your gender?",
"question_options": [
{
"id": 1,
"text": "Male"
},
{
"id": 2,
"text": "Female"
}
]
},
{
"id": 3,
"name": "Postal Code/ZIP",
"category": "Geography",
"type": "Zip Code",
"question_text": "What is your zip code?",
"question_options": null
},
{
"id": 4,
"name": "Hispanic/Latino Descent",
"category": "Demographics",
"type": "Single Punch",
"question_text": "Are you of Hispanic, Latino, or Spanish origin?",
"question_options": [
{
"id": 1,
"text": "No , not of Hispanic, Latino, or Spanish origin"
},
{
"id": 2,
"text": "Yes, Mexican, Mexican American, Chicano"
},
{
"id": 3,
"text": "Yes, Cuban"
},
{
"id": 16,
"text": "Yes, Puerto Rican"
},
{
"id": 4,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Argentina"
},
{
"id": 5,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Colombia"
},
{
"id": 6,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Ecuador"
},
{
"id": 7,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** El Salvadore"
},
{
"id": 8,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Guatemala"
},
{
"id": 9,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Nicaragua"
},
{
"id": 10,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Panama"
},
{
"id": 11,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Peru"
},
{
"id": 12,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Spain"
},
{
"id": 13,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Venezuela"
},
{
"id": 14,
"text": "Yes, another Hispanic, Latino, or Spanish origin *** Other Country"
},
{
"id": 15,
"text": "Prefer not to answer"
}
]
}
]
}Rate limit: 10 requests/second
Query String Parameters
| Parameter | Description | Required | Example |
|---|---|---|---|
country_code | The country code for which the Qualification is available. | Yes | ?country_code=US |
language_code | The language code of the Qualification question text. | Yes | ?language_code=EN |
fields | Comma delimited value of definition keys, dictating the structure of the response. | No; if omitted, all parameters will be returned | ?fields=name,category,type |
ids | Comma delimited value of the qualification IDs being fetched | No | ?id=1,2,3 |
name | URL-encoded value of the qualification name being fetched | No | ?name=air%20travel%destinations |
categories | Comma delimited value of qualification category options for which associated qualifications will be returned. | No | ?categories=demographics,travel |
types | Comma delimited value of qualification types for which associated qualifications will be returned. | No | ?types=integer,single punch |
page | Integer value of the page being retrieved | No; if omitted, the value defaults to 0 | ?page=2 |
page_size | Integer value dictating the number of objects returned per page. | No; if omitted, the value defaults to 50 | ?page_size=100 |
Authorizations
Authentication token to be sent directly in the Authorization header (no '' prefix).
Query Parameters
Comma-delimited list of definition keys to include in the response.
Comma-delimited list of Qualification IDs to retrieve.
URL-encoded qualification name to filter by.
Comma-delimited list of qualification categories to filter by.
Comma-delimited list of qualification types to filter by.
Page number to retrieve. Defaults to 0.
Number of results per page. Defaults to 50.
Was this page helpful?
⌘I
Qualifications
